%define Werror_cflags %nil

%define api 3.0
%define major 0
%define libname %mklibname gnome-media-profiles %api %major

%define develname %mklibname -d gnome-media-profiles

%define oldlib    %mklibname gnome-media 0
%define olddevel  %mklibname -d gnome-media

%define schemas gnome-media-profiles

Name:           libgnome-media-profiles
Version:        3.0.0
Release:        %mkrel 12
Summary:        GNOME Media Profiles library

Group:          Graphical desktop/GNOME 
License:        LGPLv2+
URL:            http://git.gnome.org/browse/libgnome-media-profiles
Source0:        http://download.gnome.org/sources/%{name}/3.0/%{name}-%{version}.tar.bz2
Patch0:		libgnome-media-profiles-3.0.0-gst1.0.patch
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gstreamer-0.10) >= 0.10.23
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.23
BuildRequires: pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires: intltool
BuildRequires: gnome-doc-utils
Conflicts:     gnome-media < 2.91.2
Requires(post): GConf2
Requires(preun): GConf2

%description
The GNOME Media Profiles library provides prebuilt GStreamer pipelines
for applications aiming to support different sound formats.

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f libgnome-media-profiles.lang -f gnome-audio-profiles.lang
%doc COPYING README
%{_bindir}/gnome-audio-profiles-properties
%{_sysconfdir}/gconf/schemas/gnome-media-profiles.schemas
%{_datadir}/libgnome-media-profiles
%{_datadir}/omf/gnome-audio-profiles/

#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Library for the %name
Group:          System/Libraries
Obsoletes:	%{_lib}gnome-media-profiles0 < %{version}-%{release}

%description -n %{libname}
Library for the %name

%files -n %{libname}
%{_libdir}/libgnome-media-profiles-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package        -n %develname
Summary:        Development files for %{name}
Group:          Development/GNOME and GTK+ 
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{olddevel} < %{version}-%{release}

%description    -n %develname
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgnome-media-profiles-%{api}.pc

#--------------------------------------------------------------------

%prep
%setup -q
#apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static --disable-schemas-install --disable-scrollkeeper
%make

%install
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang libgnome-media-profiles
%find_lang gnome-audio-profiles --with-gnome


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.0-12.mga3
+ Revision: 357244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 fwang <fwang> 3.0.0-11.mga3
+ Revision: 335337
- do not apply patch now to wait gnome-media

* Wed Dec 26 2012 fwang <fwang> 3.0.0-10.mga3
+ Revision: 335333
- port to gst 1.0 (patch from ubuntu)

* Sat Dec 01 2012 pterjan <pterjan> 3.0.0-9.mga3
+ Revision: 324482
- Use configure2_5x
- Run autoreconf to fix build (libtool version mismatch)

* Thu Jun 16 2011 dmorgan <dmorgan> 3.0.0-8.mga2
+ Revision: 108134
- Obsolete gnome-media-devel
- Add conflict to help upgrade

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-6.mga2
+ Revision: 107919
- Remove wrong obsoletes

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-5.mga2
+ Revision: 107890
- Provides gnome-media-devel

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-3.mga2
+ Revision: 107772
- Add more provides / Obsoletes

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-2.mga2
+ Revision: 107762
- Add obsoletes to ease upgrade
  Use rpm macros
- Fix copy/paste

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 107280
- Add gstreamer as buildrequire
- imported package libgnome-media-profiles

